Skip to main content
GET
/
v1
/
conversations
/
search
Search conversations
curl --request GET \
  --url https://api.conduit.ai/v1/conversations/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.conduit.ai/v1/conversations/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.conduit.ai/v1/conversations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
      "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
      "contact": {
        "id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
        "first_name": "Jane",
        "last_name": "Doe",
        "image_url": null,
        "inbox_type_id": "guest"
      },
      "channel": "unthreaded_email",
      "archived": false,
      "ai_paused": false,
      "follow_up_at": null,
      "last_message_at": "2026-04-03T03:14:15.000Z",
      "last_message_preview": "Can I check in early?",
      "created_at": "2026-04-01T17:22:10.000Z",
      "updated_at": "2026-04-03T03:14:15.000Z"
    }
  ],
  "next_cursor": "page-token",
  "has_more": true
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Query Parameters

workspace_id
string
required

Workspace to query.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

query
string
required

Search value. Use names, emails, phones, or message fragments depending on field.

Example:

"deprano"

field
enum<string>

Conversation search scope. message searches transcript bodies; any uses the same heuristics as contact search.

Available options:
any,
contact,
name,
first_name,
last_name,
email,
phone,
whatsapp,
channel,
message
Example:

"last_name"

limit
integer
Required range: 1 <= x <= 100
cursor
string
archived
enum<string>
Available options:
true,
false
inbox_type_id
string

Response

Conversation search results

Cursor-paginated conversations response.

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required